CVE-2016-10612

2018-06-01T14:29:01
ID CVE-2016-10612
Type cve
Reporter NVD
Modified 2018-07-05T12:44:04

Description

dalek-browser-ie-canary is Internet Explorer bindings for DalekJS. dalek-browser-ie-canary downloads binary resources over HTTP, which leaves it vulnerable to MITM attacks. It may be possible to cause remote code execution (RCE) by swapping out the requested binary with an attacker controlled binary if the attacker is on the network or positioned in between the user and the remote server.